Segments: Show
GET /apps/{app_id}/segments/{id}Path Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
id |
string | No | id of the segment |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request GET \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/segments/{id} \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json'Responses
Section titled “Responses”200
{ "id": "67e53f48a46a6fad11998005", "url": "/api/v2/apps/5ae07be64753364695040000/segments/67e53f48a46a6fad11998005", "name": "Hubspot Segment", "created_at": "2025-03-27T12:06:32Z", "cached_users_count": 1, "users_diff": 0.0, "groups_ids": [], "groups": [ { "join_type": "+", "rules": [ { "match_type": "equal", "match_value": "mcksnk", "type": "alias" } ] } ]}
